Package fr.gouv.vitam.metadata.rest

# Class MetadataManagementResource

java.lang.Object
fr.gouv.vitam.metadata.rest.MetadataManagementResource

Direct Known Subclasses:
  `AdminMetadataManagementResource`

@Path("/v1") public class MetadataManagementResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECTGROUP`
  `static final String`
  `UNIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `computeGraph(GraphComputeResponse.GraphComputeAction action, Set<String> documentsId)`
  API to access and launch the Vitam graph builder service for metadata.
  `jakarta.ws.rs.core.Response`
  `computeGraphByDSL(Integer xTenantId, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  API to access and launch the Vitam graph builder service for metadata.
  `jakarta.ws.rs.core.Response`
  `computeGraphByDSLInProgress(Integer xTenantId)`
  Check if graph builder is in progress.
  `jakarta.ws.rs.core.Response`
  `exportReclassificationChildNodes(ReclassificationChildNodeExportRequest request)`
  Export child nodes of units to reclassify for graph update into workspaces.
  `jakarta.ws.rs.core.Response`
  `migrationPurgeDipFilesFromOffers()`
  `jakarta.ws.rs.core.Response`
  `processObsoleteComputedInheritedRules()`
  `jakarta.ws.rs.core.Response`
  `purgeExpiredDipFiles()`
  `jakarta.ws.rs.core.Response`
  `purgeExpiredTransfersSIPFiles()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECTGROUP

    public static final String OBJECTGROUP
    See Also:
      - Constant Field Values

  - ### UNIT

    public static final String UNIT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### computeGraphByDSL

    @Path("/computegraph") @POST @Consumes("application/json") @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response computeGraphByDSL(@HeaderParam("X-Tenant-Id") Integer xTenantId, com.fasterxml.jackson.databind.JsonNode queryDsl)
    API to access and launch the Vitam graph builder service for metadata.
    Returns:
      the response

  - ### computeGraphByDSLInProgress

    @Path("/computegraph/progress") @GET @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response computeGraphByDSLInProgress(@HeaderParam("X-Tenant-Id") Integer xTenantId)
    Check if graph builder is in progress.
    Returns:
      the response

  - ### computeGraph

    @Path("/computegraph/{collection:UNIT|OBJECTGROUP|UNIT_OBJECTGROUP}") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response computeGraph(@PathParam("collection") GraphComputeResponse.GraphComputeAction action, Set<String> documentsId)
    API to access and launch the Vitam graph builder service for metadata.
    Returns:
      the response

  - ### exportReclassificationChildNodes

    @Path("exportReclassificationChildNodes") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response exportReclassificationChildNodes(ReclassificationChildNodeExportRequest request)
    Export child nodes of units to reclassify for graph update into workspaces.
    Returns:
      the response (200 or KO)

  - ### processObsoleteComputedInheritedRules

    @Path("/units/computedInheritedRules/processObsoletes") @POST @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response processObsoleteComputedInheritedRules()

  - ### purgeExpiredDipFiles

    @Path("/purgeDIP") @DELETE @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response purgeExpiredDipFiles()

  - ### purgeExpiredTransfersSIPFiles

    @Path("/purgeTransfersSIP") @DELETE @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response purgeExpiredTransfersSIPFiles()

  - ### migrationPurgeDipFilesFromOffers

    @Path("/migrationDeleteDipFromOffers") @DELETE @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response migrationPurgeDipFilesFromOffers()